LibreOffice: ChartDocument Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
ChartDocument Service Reference

`import"ChartDocument.idl";`

Inheritance diagram for ChartDocument:

## Exported Interfaces
interface | XChartDocument
| this interface is derived from com::sun::star::frame::XModel. More...
interface | data::XDataReceiver
| offers connection to data More...
interface | XTitled
| gives access to the main title of a chart document More...
interface | ::com::sun::star::style::XStyleFamiliesSupplier
| maintains all style families applying to any object in the chart. More...
interface | ::com::sun::star::util::XNumberFormatsSupplier
| maintains all number formats used anywhere in the chart. More...
interface | ::com::sun::star::lang::XInitialization
| Allows passing arguments to createInstanceWithArguments. More...

## Additional Inherited Members
Public Member Functions inherited from XChartDocument
XDiagram | getFirstDiagram ()
void | setFirstDiagram ([in] XDiagram xDiagram)
void | createInternalDataProvider ([in] boolean bCloneExistingData) raises ( com::sun::star::util::CloseVetoException )
| creates an internal com::sun::star::chart2::XDataProvider that is handled by the chart document itself. More...
boolean | hasInternalDataProvider ()
com::sun::star::chart2::data::XDataProvider | getDataProvider ()
| Returns the currently set data provider. More...
void | setChartTypeManager ([in] XChartTypeManager xNewManager)
| sets a new component that is able to create different chart type templates (components of type ChartTypeTemplate) More...
XChartTypeManager | getChartTypeManager ()
| retrieves the component that is able to create different chart type templates (components of type ChartTypeTemplate) More...
com::sun::star::beans::XPropertySet | getPageBackground ()
| Gives access to the page background appearance. More...
void | createDefaultChart ()
| Creates a default chart type for a brand-new chart object. More...
boolean | isOpenGLChart ()
| Returns true if the chart is based on OpenGL. More...
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description. More...
string | getURL ()
| provides information about the location of this model More...
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and his state More...
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model. More...
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model. More...
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates. More...
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers(). More...
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining. More...
XController | getCurrentController ()
| provides access to the controller which currently controls this model More...
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller. More...
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDataReceiver
void | attachDataProvider ([in] XDataProvider xProvider)
| attaches a component that provides data for the document. More...
void | setArguments ([in] sequence< com::sun::star::beans::PropertyValue > aArguments) raises ( com::sun::star::lang::IllegalArgumentException )
sequence< string > | getUsedRangeRepresentations ()
| returns a list of all range strings for which data has been requested by the most recently attached data provider, and which is still used. More...
XDataSource | getUsedData ()
| Returns the data requested by the most recently attached data provider, that is still used. More...
void | attachNumberFormatsSupplier ([in] com::sun::star::util::XNumberFormatsSupplier xSupplier)
| attaches an XNumberFormatsSupplier to this XDataReceiver. More...
XRangeHighlighter | getRangeHighlighter ()
| Returns a component at which a view representing the data of the attached data provider may listen for highlighting the data ranges used by the currently selected objects in the data receiver component. More...
Public Member Functions inherited from XTitled
XTitle | getTitleObject ()
| get the object holding the title's content and formatting More...
void | setTitleObject ([in] XTitle Title)
| set a new title object replacing the former one More...
Public Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document. More...
Public Member Functions inherited from XNumberFormatsSupplier
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Exported Interfaces

interface ::com::sun::star::lang::XInitialization
| optional

Allows passing arguments to createInstanceWithArguments.

The following arguments are allowed in the given order:

1. string Name

interface ::com::sun::star::style::XStyleFamiliesSupplier

maintains all style families applying to any object in the chart.

interface ::com::sun::star::util::XNumberFormatsSupplier

maintains all number formats used anywhere in the chart.

interface data::XDataReceiver

offers connection to data

interface XChartDocument

this interface is derived from com::sun::star::frame::XModel.

Thus model functionality is available via this interface.

interface XTitled

gives access to the main title of a chart document

The documentation for this service was generated from the following file:

- com/sun/star/chart2/ChartDocument.idl